<?php
namespace Claromentis\Blog\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_c7b86566f5835e34c8ef0" . "cf3b36b6046" => base64_decode("L2Js" . "b2cv"), "_95a58f0bfdaa" . "a9a6ee1befaa9" . "09a62e5" => base64_decode("YWRtaW4ubGFicy5hYnNvbH" . "V0ZV91cmwuYmxvZw=="));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractBlogAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_95a58f0bfdaaa9a6ee1befaa" . "909a62e5"]);
    }
    
    
    
    
    public function getLink($_0ea4e32b57963ac0cb3057e03e9aef64) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c7b86566f5835e34c8ef0" . "cf3b36b6046"] . $_0ea4e32b57963ac0cb3057e03e9aef64;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}